#!/usr/bin/env python

import EM, os, sys, getopt


Usage = "Usage: " + sys.argv[0]+ " <micrograph> <radius> <image size> <output box file> <output particle file> [--invert]\n"
invert=0

if len(sys.argv) < 6:
	print Usage
	sys.exit(1)
else:
	try:
		optlist, junks = getopt.getopt(sys.argv[6:], 'i', ['invert'])
	except getopt.GetoptError:
		print Usage
		sys.exit(2)
	if len(junks):
		for o in junks:
			print "Error: option '"+o+"' is not supported"
		print Usage
		sys.exit(3)
	for o, a in optlist:
		if o in ("-i", "--invert"):
			invert = 1

EM.AutoBoxing(sys.argv[1],sys.argv[5],sys.argv[4],int(sys.argv[2]),int(sys.argv[3]),protein_is_white=invert,verbose=1)